'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

exports.default = function (options) {
  options = (0, _extends3.default)({
    transpile: true
  }, options);

  var temp = _tmp2.default.dirSync({
    unsafeCleanup: true
  });

  var sourcePath = process.cwd();
  var tempPath = temp.name;
  var targetPath = _path2.default.resolve(sourcePath, 'build');

  _fsExtra2.default.removeSync(targetPath);

  _fsExtra2.default.copySync(sourcePath, tempPath, {
    filter: function filter(filename) {
      return (/^((?!(\/(node_modules|build)(\/|$))).)*$/i.test(filename)
      );
    }
  });

  _fsExtra2.default.copySync(tempPath, targetPath);

  temp.removeCallback();

  if (options.transpile) {
    (0, _transpile2.default)(targetPath);
  }

  console.log(_chalk2.default.green.bold('Package built'));
};

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _tmp = require('tmp');

var _tmp2 = _interopRequireDefault(_tmp);

var _transpile = require('./utils/transpile');

var _transpile2 = _interopRequireDefault(_transpile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = exports['default'];